<h1>Edit Category</h1>
<form>
  <mat-form-field class="full-width">
    <input matInput placeholder="Name" [(ngModel)]="category.name" name="name">
  </mat-form-field>
  <div class="buttons">
    <button mat-raised-button color="primary" (click)="EditCategory()">Edit</button>
    <button mat-button (click)="dialogRef.close()">Cancel</button>
  </div>
</form>